Bug 168414 - [ixgbe] [patch] ixgbe commit r234137 introduces code/comment mismatch
Summary: [ixgbe] [patch] ixgbe commit r234137 introduces code/comment mismatch
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-net mailing list
URL:
Keywords: IntelNetworking
Depends on:
Blocks:
 
Reported: 2012-05-28 17:00 UTC by Sergey Budnevitch
Modified: 2015-06-30 18:15 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (388 bytes, patch)
2012-05-28 17:00 UTC, Sergey Budnevitch
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Budnevitch 2012-05-28 17:00:11 UTC
Both comment and linux sources say PTHRESH should be 32, but code set it to 16 (according to 82599 datasheet PTHRESH field is the first six bits). Either code or comment should be fixed.
Comment 1 Sergey Budnevitch 2012-05-28 17:23:55 UTC
r234137 of course, not r232874.
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2014-04-20 03:53:27 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

reclassify.
Comment 3 Sean Bruno freebsd_committer 2015-06-30 18:15:02 UTC
This code has been fixed in if_ix.c and matches the patch in this ticket.  Thanks!